// This file is part of KeY - Integrated Deductive Software Design 
// Copyright (C) 2001-2003 Universitaet Karlsruhe, Germany
//                         and Chalmers University of Technology, Sweden          
//
// The KeY system is protected by the GNU General Public License. 
// See LICENSE.TXT for details.
//
// This file is part of KeY - Integrated Deductive Software Design
// Copyright (C) 2001 Universitaet Karlsruhe, Germany
//                    and Chalmers University of Technology, Sweden          
//
// The KeY system is protected by the GNU General 
// Public License. See LICENSE.TXT for details.
//

package de.uka.ilkd.key.logic.sort;

import de.uka.ilkd.key.logic.Name;
import de.uka.ilkd.key.logic.op.*;
public class NullSort extends ObjectSort {


    /** creates a NullSort*/
    public NullSort(Name name) {
	super(name);
    }


    /**
     * returns true iff the given sort is an object sort
     */
    public boolean extendsTrans(Sort s) {
	return (s instanceof ObjectSort);
    }

    /** @return equality symbol of this sort */
    public Equality getEqualitySymbol(){
	return Op.EQUALS;
    }

}
