// This file is part of KeY - Integrated Deductive Software Design 
// Copyright (C) 2001-2003 Universitaet Karlsruhe, Germany
//                         and Chalmers University of Technology, Sweden          
//
// The KeY system is protected by the GNU General Public License. 
// See LICENSE.TXT for details.
//


package de.uka.ilkd.key.ocl.tudresden;

import tudresden.ocl.check.types.*;
import tudresden.ocl.check.OclTypeException;
import  de.uka.ilkd.key.ocl.tudresden.Multiplicity;

public class TJAssocEnd {
  String name;
  Multiplicity mult;
  Any type;

  TJAssocEnd(String n, Any c, Multiplicity m) {
    name=n;
    mult=m;
    type=c;
  }

  public String getName() {
    return name;
  }

  public Multiplicity getMultiplicity() {
    return mult;
  }

  public boolean isOrdered() {
    return false;
  }

  public Any getType() {
    return type;
  }
}
